/*
  Return array of available (not locked and not occupied) slots of given type
    @_val : slot type (1 > primary weapon, 2 > handgun, 4 > secondary weapon )
    @_return: array of all available slots of the type @_val
              [
                [ _idx, [ _idc, _class ] ],
                [ _idx, [ _idc, _class ] ],
              ]
              _idx: index number of the row in idcMorsDgaSlots listbox.
              _idc: IDC of the image control to display the selected weapon picture.
              _class: classname of the weapon.
  When called with two parameters (the second one can be anything - important is only that _this select 1 have some value),
  all slots of the given type will be returned, including those which are locked or occupied.
*/
private["_val","_return","_force","_data","_i"];
_val = _this select 0;
_force = false;
if( _this select 1 ) then { _force = _this select 1; };
_return = [];
for "_i" from 0 to (lbSize idcMorsDgaSlots)-1 do {
  if( parseNumber lbText[idcMorsDgaSlots, _i] == _val ) then { // slot is of the desired type
    _data = call compile lbData[idcMorsDgaSlots, _i];
    if( (lbValue[idcMorsDgaSlots, _i]==1 && count _data < 3) || _force ) then { // slot is not locked (only medics have less magazine slots, but we want it to be versatile)
      _return = _return + [[_i] + [_data]];
    };
  };
};
_return